import React, { Component } from "react";
import { withTheme, withStyles } from "@material-ui/core/styles";
import { Grid } from "@material-ui/core";

import { TextInput } from "@openimis/fe-core";

const styles = theme => ({
    item: theme.paper.item,
});


class ClaimFormExt extends Component {

    render() {
        const { classes, claim, readOnly, updateExt } = this.props;
        return (
            <Grid container>
                <Grid item className={classes.item}>
                    <TextInput
                        module="my_module"
                        label="myField"
                        required
                        value={claim.jsonExt.myField}
                        onChange={v => updateExt("myField", v)}
                        readOnly={readOnly}
                    />
                </Grid>
            </Grid>
        )
    }
}

export default withTheme(withStyles(styles)(ClaimFormExt));