import messages_en from "./translations/en.json";
import reducer from "./reducer";
import MyModuleMainMenu from './menu/MyModuleMainMenu';
import MyEntitiesPage from './pages/MyEntitiesPage';
import MyEntityPage from './pages/MyEntityPage';
import ClaimFilterByInsureeGender from './components/ClaimFilterByInsureeGender';
import ClaimFormExt from "./components/ClaimFormExt";

const ROUTE_MY_ENTITIES = "my_module/my_entities";
const ROUTE_MY_ENTITY = "my_module/my_entity";

const DEFAULT_CONFIG = {
  "translations": [{ key: "en", messages: messages_en }],
  "reducers": [{ key: 'my_module', reducer }],
  "refs": [
    { key: "my_module.MyEntityPage", ref: MyEntityPage },
  ],  
  "core.MainMenu": [MyModuleMainMenu],
  "core.Router": [
    { path: ROUTE_MY_ENTITIES, component: MyEntitiesPage },
    { path: ROUTE_MY_ENTITY, component: MyEntityPage },
  ],   
  "claim.ReviewsFilter": [ClaimFilterByInsureeGender], 
  "claim.MasterPanel" : [ClaimFormExt],
}

export const MyModuleModule = (cfg) => {
  return { ...DEFAULT_CONFIG, ...cfg };
}