import {
    formatServerError, formatGraphQLError, parseData, pageInfo,
    dispatchMutationReq, dispatchMutationErr, dispatchMutationResp
} from '@openimis/fe-core';

function reducer(
    state = {
        fetchingMyEntities: false,
        errorMyEntities: null,
        fetchedMyEntities: false,
        myEntities: [],
        myEntitiesPageInfo: { totalCount: 0 },
        submittingMutation: false,
        mutation: {},        
    },
    action,
) {
    switch (action.type) {
        case 'LOCATION_USER_DISTRICTS_RESP':
            console.log(`Hé, I'm My Module... are you in ${action.payload.data.userDistricts[0].name}?`);
            return state;                                  
        case 'MY_MODULE_MY_ENTITIES_REQ':
            return {
                ...state,
                fetchingMyEntities: true,
                fetchedMyEntities: false,
                myEntities: [],
                myEntitiesPageInfo: { totalCount: 0 },
                errorMyEntities: null,
            };
        case 'MY_MODULE_MY_ENTITIES_RESP':
            return {
                ...state,
                fetchingMyEntities: false,
                fetchedMyEntities: true,
                myEntities: parseData(action.payload.data.healthFacilities),
                myEntitiesPageInfo: pageInfo(action.payload.data.healthFacilities),
                errorMyEntities: formatGraphQLError(action.payload)
            };
        case 'MY_MODULE_MY_ENTITIES_ERR':
            return {
                ...state,
                fetchingMyEntities: false,
                errorMyEntities: formatServerError(action.payload)
            };
        case 'MY_MODULE_CREATE_ENTITY_REQ':
            return dispatchMutationReq(state, action)
        case 'MY_MODULE_CREATE_ENTITY_ERR':
            return dispatchMutationErr(state, action);
        case 'MY_MODULE_CREATE_ENTITY_RESP':
            return dispatchMutationResp(state, "createLocation", action);         
        default:
            return state;
    }
}

export default reducer;